#include <hardware.h>

#include <stdio.h>

void
dac_init (void)
{
  SYSTEM.SCKCR.BIT.ICK = 0x00; // ICLK = 96MHz
  SYSTEM.SCKCR.BIT.PCK = 0x01; // PCLK = 48MHz
  SYSTEM.SCKCR.BIT.PSTOP1 = 1;
  SYSTEM.SCKCR.BIT.PSTOP0 = 1;
  
  // P05 is DA1
  PORT0.DDR.BIT.B5 = 0; // Disable output buffers
  PORT0.ICR.BIT.B5 = 0; // Ensure input buffer is off
  
  // Enable DA1 DAC output (DA0 is not pinned out on the LQFP-100 version of the RX62N)
  MSTP(DA) = 0;
  DA.DADPR.BIT.DPSEL = 0; // Data loaded LSB-aligned
  DA.DACR.BIT.DAE = 0; // Don't think this really matters here but the RPDL sets this 0
  DA.DACR.BIT.DAOE1 = 1; // DA1 enabled
}
