/***********************************************************************/
/*                                                                     */
/*  FILE        :inthandler.h                                          */
/*  DATE        :Mon, Jun 28, 2010                                     */
/*  DESCRIPTION :Interrupt Handler Declarations                        */
/*  CPU TYPE    :Other                                                 */
/*                                                                     */
/*  This file is generated by KPIT GNU Project Generator.              */
/*                                                                     */
/***********************************************************************/
                          


#ifndef INTHANDLER_H
#define INTHANDLER_H

// Exception(Supervisor Instruction)
void INT_Excep_SuperVisorInst(void) __attribute__ ((interrupt));

// Exception(Undefined Instruction)
void INT_Excep_UndefinedInst(void) __attribute__ ((interrupt));

// Exception(Floating Point)
void INT_Excep_FloatingPoint(void) __attribute__ ((interrupt));

// NMI
void INT_NonMaskableInterrupt(void) __attribute__ ((interrupt));

// Dummy
void Dummy (void) __attribute__ ((interrupt));

// BRK
void INT_Excep_BRK(void) __attribute__ ((interrupt));

// vector  1 reserved
// vector  2 reserved
// vector  3 reserved
// vector  4 reserved
// vector  5 reserved
// vector  6 reserved
// vector  7 reserved
// vector  8 reserved
// vector  9 reserved
// vector 10 reserved
// vector 11 reserved
// vector 12 reserved
// vector 13 reserved
// vector 14 reserved
// vector 15 reserved

// BUSERR

void INT_Excep_BUSERR(void) __attribute__ ((interrupt));

// vector 17 reserved
// vector 18 reserved
// vector 19 reserved
// vector 20 reserved

// FCU_FCUERR

void INT_Excep_FCU_FCUERR(void) __attribute__ ((interrupt));

// vector 22 reserved

// FCU_FRDYI

void INT_Excep_FCU_FRDYI(void) __attribute__ ((interrupt));

// vector 24 reserved
// vector 25 reserved
// vector 26 reserved

// ICU_SWINT

void INT_Excep_ICU_SWINT(void) __attribute__ ((interrupt));

// CMTU0_CMT0

void INT_Excep_CMTU0_CMT0(void) __attribute__ ((interrupt));

// CMTU0_CMT1

void INT_Excep_CMTU0_CMT1(void) __attribute__ ((interrupt));

// CMTU1_CMT2

void INT_Excep_CMTU1_CMT2(void) __attribute__ ((interrupt));

// CMTU1_CMT3

void INT_Excep_CMTU1_CMT3(void) __attribute__ ((interrupt));

// Ether_EINT

void INT_Excep_Ether_EINT(void) __attribute__ ((interrupt));

// vector 33 reserved
// vector 34 reserved
// vector 35 reserved

// USB0_D0FIFO0

void INT_Excep_USB0_D0FIFO0(void) __attribute__ ((interrupt));

// USB0_D1FIFO0

void INT_Excep_USB0_D1FIFO0(void) __attribute__ ((interrupt));

// USB0_USBI0

void INT_Excep_USB0_USBI0(void) __attribute__ ((interrupt));

// vector 39 reserved

// USB1_D0FIFO1

void INT_Excep_USB1_D0FIFO1(void) __attribute__ ((interrupt));

// USB1_D1FIFO1

void INT_Excep_USB1_D1FIFO1(void) __attribute__ ((interrupt));

// USB1_USBI1

void INT_Excep_USB1_USBI1(void) __attribute__ ((interrupt));

// vector 43 reserved

// RSPI0_SPEI0

void INT_Excep_RSPI0_SPEI0(void) __attribute__ ((interrupt));

// RSPI0_SPRI0

void INT_Excep_RSPI0_SPRI0(void) __attribute__ ((interrupt));

// RSPI0_SPTI0

void INT_Excep_RSPI0_SPTI0(void) __attribute__ ((interrupt));

// RSPI0_SPII0

void INT_Excep_RSPI0_SPII0(void) __attribute__ ((interrupt));

// RSPI1_SPEI1

void INT_Excep_RSPI1_SPEI1(void) __attribute__ ((interrupt));

// RSPI1_SPRI1

void INT_Excep_RSPI1_SPRI1(void) __attribute__ ((interrupt));

// RSPI1_SPTI1

void INT_Excep_RSPI1_SPTI1(void) __attribute__ ((interrupt));

// RSPI1_SPII1

void INT_Excep_RSPI1_SPII1(void) __attribute__ ((interrupt));

// vector 52 reserved
// vector 53 reserved
// vector 54 reserved
// vector 55 reserved

// CAN0_ERS0

void INT_Excep_CAN0_ERS0(void) __attribute__ ((interrupt));

// CAN0_RXF0

void INT_Excep_CAN0_RXF0(void) __attribute__ ((interrupt));

// CAN0_TXF0

void INT_Excep_CAN0_TXF0(void) __attribute__ ((interrupt));

// CAN0_RXM0

void INT_Excep_CAN0_RXM0(void) __attribute__ ((interrupt));

// CAN0_TXM0

void INT_Excep_CAN0_TXM0(void) __attribute__ ((interrupt));

// vector 61 reserved

// RTC_PRD

void INT_Excep_RTC_PRD(void) __attribute__ ((interrupt));

// RTC_CUP

void INT_Excep_RTC_CUP(void) __attribute__ ((interrupt));

// IRQ0

void INT_Excep_IRQ0(void) __attribute__ ((interrupt));

// IRQ1

void INT_Excep_IRQ1(void) __attribute__ ((interrupt));

// IRQ2

void INT_Excep_IRQ2(void) __attribute__ ((interrupt));

// IRQ3

void INT_Excep_IRQ3(void) __attribute__ ((interrupt));

// IRQ4

void INT_Excep_IRQ4(void) __attribute__ ((interrupt));

// IRQ5

void INT_Excep_IRQ5(void) __attribute__ ((interrupt));

// IRQ6

void INT_Excep_IRQ6(void) __attribute__ ((interrupt));

// IRQ7

void INT_Excep_IRQ7(void) __attribute__ ((interrupt));

// IRQ8

void INT_Excep_IRQ8(void) __attribute__ ((interrupt));

// IRQ9

void INT_Excep_IRQ9(void) __attribute__ ((interrupt));

// IRQ10

void INT_Excep_IRQ10(void) __attribute__ ((interrupt));

// IRQ11

void INT_Excep_IRQ11(void) __attribute__ ((interrupt));

// IRQ12

void INT_Excep_IRQ12(void) __attribute__ ((interrupt));

// IRQ13

void INT_Excep_IRQ13(void) __attribute__ ((interrupt));

// IRQ14

void INT_Excep_IRQ14(void) __attribute__ ((interrupt));

// IRQ15

void INT_Excep_IRQ15(void) __attribute__ ((interrupt));

// vector 80 reserved
// vector 81 reserved
// vector 82 reserved
// vector 83 reserved
// vector 84 reserved
// vector 85 reserved
// vector 86 reserved
// vector 87 reserved
// vector 88 reserved
// vector 89 reserved

// USB_resume_USBR0

void INT_Excep_USB_resume_USBR0(void) __attribute__ ((interrupt));

// USB_resume_USBR1

void INT_Excep_USB_resume_USBR1(void) __attribute__ ((interrupt));

// RTC_ALM

void INT_Excep_RTC_ALM(void) __attribute__ ((interrupt));

// vector 93 reserved
// vector 94 reserved
// vector 95 reserved

// WDT_WOVI

void INT_Excep_WDT_WOVI(void) __attribute__ ((interrupt));

// vector 97 reserved

// AD0_ADI0

void INT_Excep_AD0_ADI0(void) __attribute__ ((interrupt));

// AD1_ADI1

void INT_Excep_AD1_ADI1(void) __attribute__ ((interrupt));

// vector 100 reserved
// vector 101 reserved

// S12AD_ADI12_0

void INT_Excep_S12AD_ADI12_0(void) __attribute__ ((interrupt));

// vector 103 reserved
// vector 104 reserved
// vector 105 reserved
// vector 106 reserved
// vector 107 reserved
// vector 108 reserved
// vector 109 reserved
// vector 110 reserved
// vector 111 reserved
// vector 112 reserved
// vector 113 reserved

// MTU0_TGIA0

void INT_Excep_MTU0_TGIA0(void) __attribute__ ((interrupt));

// MTU0_TGIB0

void INT_Excep_MTU0_TGIB0(void) __attribute__ ((interrupt));

// MTU0_TGIC0

void INT_Excep_MTU0_TGIC0(void) __attribute__ ((interrupt));

// MTU0_TGID0

void INT_Excep_MTU0_TGID0(void) __attribute__ ((interrupt));

// MTU0_TGIV0

void INT_Excep_MTU0_TGIV0(void) __attribute__ ((interrupt));

// MTU0_TGIE0

void INT_Excep_MTU0_TGIE0(void) __attribute__ ((interrupt));

// MTU0_TGIF0

void INT_Excep_MTU0_TGIF0(void) __attribute__ ((interrupt));

// MTU1_TGIA1

void INT_Excep_MTU1_TGIA1(void) __attribute__ ((interrupt));

// MTU1_TGIB1

void INT_Excep_MTU1_TGIB1(void) __attribute__ ((interrupt));

// MTU1_TGIV1

void INT_Excep_MTU1_TGIV1(void) __attribute__ ((interrupt));

// MTU1_TGIU1

void INT_Excep_MTU1_TGIU1(void) __attribute__ ((interrupt));

// MTU2_TGIA2

void INT_Excep_MTU2_TGIA2(void) __attribute__ ((interrupt));

// MTU2_TGIB2

void INT_Excep_MTU2_TGIB2(void) __attribute__ ((interrupt));

// MTU2_TGIV2

void INT_Excep_MTU2_TGIV2(void) __attribute__ ((interrupt));

// MTU2_TGIU2

void INT_Excep_MTU2_TGIU2(void) __attribute__ ((interrupt));

// MTU3_TGIA3

void INT_Excep_MTU3_TGIA3(void) __attribute__ ((interrupt));

// MTU3_TGIB3

void INT_Excep_MTU3_TGIB3(void) __attribute__ ((interrupt));

// MTU3_TGIC3

void INT_Excep_MTU3_TGIC3(void) __attribute__ ((interrupt));

// MTU3_TGID3

void INT_Excep_MTU3_TGID3(void) __attribute__ ((interrupt));

// MTU3_TGIV3

void INT_Excep_MTU3_TGIV3(void) __attribute__ ((interrupt));

// MTU4_TGIA4

void INT_Excep_MTU4_TGIA4(void) __attribute__ ((interrupt));

// MTU4_TGIB4

void INT_Excep_MTU4_TGIB4(void) __attribute__ ((interrupt));

// MTU4_TGIC4

void INT_Excep_MTU4_TGIC4(void) __attribute__ ((interrupt));

// MTU4_TGID4

void INT_Excep_MTU4_TGID4(void) __attribute__ ((interrupt));

// MTU4_TGIV4

void INT_Excep_MTU4_TGIV4(void) __attribute__ ((interrupt));

// MTU5_TGIU5

void INT_Excep_MTU5_TGIU5(void) __attribute__ ((interrupt));

// MTU5_TGIV5

void INT_Excep_MTU5_TGIV5(void) __attribute__ ((interrupt));

// MTU5_TGIW5

void INT_Excep_MTU5_TGIW5(void) __attribute__ ((interrupt));

// MTU6_TGIA6

void INT_Excep_MTU6_TGIA6(void) __attribute__ ((interrupt));

// MTU6_TGIB6

void INT_Excep_MTU6_TGIB6(void) __attribute__ ((interrupt));

// MTU6_TGIC6

void INT_Excep_MTU6_TGIC6(void) __attribute__ ((interrupt));

// MTU6_TGID6

void INT_Excep_MTU6_TGID6(void) __attribute__ ((interrupt));

// MTU6_TGIV6

void INT_Excep_MTU6_TGIV6(void) __attribute__ ((interrupt));

// MTU6_TGIE6

void INT_Excep_MTU6_TGIE6(void) __attribute__ ((interrupt));

// MTU6_TGIF6

void INT_Excep_MTU6_TGIF6(void) __attribute__ ((interrupt));

// MTU7_TGIA7

void INT_Excep_MTU7_TGIA7(void) __attribute__ ((interrupt));

// MTU7_TGIB7

void INT_Excep_MTU7_TGIB7(void) __attribute__ ((interrupt));

// MTU7_TGIV7

void INT_Excep_MTU7_TGIV7(void) __attribute__ ((interrupt));

// MTU7_TGIU7

void INT_Excep_MTU7_TGIU7(void) __attribute__ ((interrupt));

// MTU8_TGIA8

void INT_Excep_MTU8_TGIA8(void) __attribute__ ((interrupt));

// MTU8_TGIB8

void INT_Excep_MTU8_TGIB8(void) __attribute__ ((interrupt));

// MTU8_TGIV8

void INT_Excep_MTU8_TGIV8(void) __attribute__ ((interrupt));

// MTU8_TGIU8

void INT_Excep_MTU8_TGIU8(void) __attribute__ ((interrupt));

// MTU9_TGIA9

void INT_Excep_MTU9_TGIA9(void) __attribute__ ((interrupt));

// MTU9_TGIB9

void INT_Excep_MTU9_TGIB9(void) __attribute__ ((interrupt));

// MTU9_TGIC9

void INT_Excep_MTU9_TGIC9(void) __attribute__ ((interrupt));

// MTU9_TGID9

void INT_Excep_MTU9_TGID9(void) __attribute__ ((interrupt));

// MTU9_TGIV9

void INT_Excep_MTU9_TGIV9(void) __attribute__ ((interrupt));

// MTU10_TGIA10

void INT_Excep_MTU10_TGIA10(void) __attribute__ ((interrupt));

// MTU10_TGIB10

void INT_Excep_MTU10_TGIB10(void) __attribute__ ((interrupt));

// MTU10_TGIC10

void INT_Excep_MTU10_TGIC10(void) __attribute__ ((interrupt));

// MTU10_TGID10

void INT_Excep_MTU10_TGID10(void) __attribute__ ((interrupt));

// MTU10_TGIV10

void INT_Excep_MTU10_TGIV10(void) __attribute__ ((interrupt));

// MTU11_TGIU11

void INT_Excep_MTU11_TGIU11(void) __attribute__ ((interrupt));

// MTU11_TGIV11

void INT_Excep_MTU11_TGIV11(void) __attribute__ ((interrupt));

// MTU11_TGIW11

void INT_Excep_MTU11_TGIW11(void) __attribute__ ((interrupt));

// POE_OEI1

void INT_Excep_POE_OEI1(void) __attribute__ ((interrupt));

// POE_OEI2

void INT_Excep_POE_OEI2(void) __attribute__ ((interrupt));

// POE_OEI3

void INT_Excep_POE_OEI3(void) __attribute__ ((interrupt));

// POE_OEI4

void INT_Excep_POE_OEI4(void) __attribute__ ((interrupt));

// TMR0_CMI0A

void INT_Excep_TMR0_CMI0A(void) __attribute__ ((interrupt));

// TMR0_CMI0B

void INT_Excep_TMR0_CMI0B(void) __attribute__ ((interrupt));

// TMR0_OV0I

void INT_Excep_TMR0_OV0I(void) __attribute__ ((interrupt));

// TMR1_CMI1A

void INT_Excep_TMR1_CMI1A(void) __attribute__ ((interrupt));

// TMR1_CMI1B

void INT_Excep_TMR1_CMI1B(void) __attribute__ ((interrupt));

// TMR1_OV1I

void INT_Excep_TMR1_OV1I(void) __attribute__ ((interrupt));

// TMR2_CMI2A

void INT_Excep_TMR2_CMI2A(void) __attribute__ ((interrupt));

// TMR2_CMI2B

void INT_Excep_TMR2_CMI2B(void) __attribute__ ((interrupt));

// TMR2_OV2I

void INT_Excep_TMR2_OV2I(void) __attribute__ ((interrupt));

// TMR3_CMI3A

void INT_Excep_TMR3_CMI3A(void) __attribute__ ((interrupt));

// TMR3_CMI3B

void INT_Excep_TMR3_CMI3B(void) __attribute__ ((interrupt));

// TMR3_OV3I

void INT_Excep_TMR3_OV3I(void) __attribute__ ((interrupt));

// vector 186 reserved
// vector 187 reserved
// vector 188 reserved
// vector 189 reserved
// vector 190 reserved
// vector 191 reserved
// vector 192 reserved
// vector 193 reserved
// vector 194 reserved
// vector 195 reserved
// vector 196 reserved
// vector 197 reserved

// DMACA_DMAC0I

void INT_Excep_DMACA_DMAC0I(void) __attribute__ ((interrupt));

// DMACA_DMAC1I

void INT_Excep_DMACA_DMAC1I(void) __attribute__ ((interrupt));

// DMACA_DMAC2I

void INT_Excep_DMACA_DMAC2I(void) __attribute__ ((interrupt));

// DMACA_DMAC3I

void INT_Excep_DMACA_DMAC3I(void) __attribute__ ((interrupt));

// EXDMAC_EXDMAC0I

void INT_Excep_EXDMAC_EXDMAC0I(void) __attribute__ ((interrupt));

// EXDMAC_EXDMAC1I

void INT_Excep_EXDMAC_EXDMAC1I(void) __attribute__ ((interrupt));

// vector 204 reserved
// vector 205 reserved
// vector 206 reserved
// vector 207 reserved
// vector 208 reserved
// vector 209 reserved
// vector 210 reserved
// vector 211 reserved
// vector 212 reserved
// vector 213 reserved

// SCI0_ERI0

void INT_Excep_SCI0_ERI0(void) __attribute__ ((interrupt));

// SCI0_RXI0

void INT_Excep_SCI0_RXI0(void) __attribute__ ((interrupt));

// SCI0_TXI0

void INT_Excep_SCI0_TXI0(void) __attribute__ ((interrupt));

// SCI0_TEI0

void INT_Excep_SCI0_TEI0(void) __attribute__ ((interrupt));

// SCI1_ERI1

void INT_Excep_SCI1_ERI1(void) __attribute__ ((interrupt));

// SCI1_RXI1

void INT_Excep_SCI1_RXI1(void) __attribute__ ((interrupt));

// SCI1_TXI1

void INT_Excep_SCI1_TXI1(void) __attribute__ ((interrupt));

// SCI1_TEI1

void INT_Excep_SCI1_TEI1(void) __attribute__ ((interrupt));

// SCI2_ERI2

void INT_Excep_SCI2_ERI2(void) __attribute__ ((interrupt));

// SCI2_RXI2

void INT_Excep_SCI2_RXI2(void) __attribute__ ((interrupt));

// SCI2_TXI2

void INT_Excep_SCI2_TXI2(void) __attribute__ ((interrupt));

// SCI2_TEI2

void INT_Excep_SCI2_TEI2(void) __attribute__ ((interrupt));

// SCI3_ERI3

void INT_Excep_SCI3_ERI3(void) __attribute__ ((interrupt));

// SCI3_RXI3

void INT_Excep_SCI3_RXI3(void) __attribute__ ((interrupt));

// SCI3_TXI3

void INT_Excep_SCI3_TXI3(void) __attribute__ ((interrupt));

// SCI3_TEI3

void INT_Excep_SCI3_TEI3(void) __attribute__ ((interrupt));

// vector 230 reserved
// vector 231 reserved
// vector 232 reserved
// vector 233 reserved

// SCI5_ERI5

void INT_Excep_SCI5_ERI5(void) __attribute__ ((interrupt));

// SCI5_RXI5

void INT_Excep_SCI5_RXI5(void) __attribute__ ((interrupt));

// SCI5_TXI5

void INT_Excep_SCI5_TXI5(void) __attribute__ ((interrupt));

// SCI5_TEI5

void INT_Excep_SCI5_TEI5(void) __attribute__ ((interrupt));

// SCI6_ERI6

void INT_Excep_SCI6_ERI6(void) __attribute__ ((interrupt));

// SCI6_RXI6

void INT_Excep_SCI6_RXI6(void) __attribute__ ((interrupt));

// SCI6_TXI6

void INT_Excep_SCI6_TXI6(void) __attribute__ ((interrupt));

// SCI6_TEI6

void INT_Excep_SCI6_TEI6(void) __attribute__ ((interrupt));

// vector 242 reserved
// vector 243 reserved
// vector 244 reserved
// vector 245 reserved

// RIIC0_ICEEI0

void INT_Excep_RIIC0_ICEEI0(void) __attribute__ ((interrupt));

// RIIC0_ICRXI0

void INT_Excep_RIIC0_ICRXI0(void) __attribute__ ((interrupt));

// RIIC0_ICTXI0

void INT_Excep_RIIC0_ICTXI0(void) __attribute__ ((interrupt));

// RIIC0_ICTEI0

void INT_Excep_RIIC0_ICTEI0(void) __attribute__ ((interrupt));

// RIIC1_EEI1

void INT_Excep_RIIC1_ICEEI1(void) __attribute__ ((interrupt));

// RIIC1_RXI1

void INT_Excep_RIIC1_ICRXI1(void) __attribute__ ((interrupt));

// RIIC1_TXI1

void INT_Excep_RIIC1_ICTXI1(void) __attribute__ ((interrupt));

// RIIC1_TEI1

void INT_Excep_RIIC1_ICTEI1(void) __attribute__ ((interrupt));

// vector 254 reserved
// vector 255 reserved

//;<<VECTOR DATA START (POWER ON RESET)>>
//;Power On Reset PC
extern void PowerON_Reset_PC(void) __attribute__ ((interrupt));
//;<<VECTOR DATA END (POWER ON RESET)>>

#endif
